Last Comment Bug 821200 - Installing a packaged app with multiple entry points - wrong app icon and name appears on screen, entry point app icons do not show either
: Installing a packaged app with multiple entry points - wrong app icon and nam...
Status: RESOLVED WORKSFORME
:
Product: Firefox OS Graveyard
Classification: Graveyard
Component: Gaia::System (show other bugs)
: unspecified
: ARM Gonk (Firefox OS)
-- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
Depends on:
Blocks: 820863
  Show dependency treegraph
 
Reported: 2012-12-13 00:17 PST by Jason Smith [:jsmith]
Modified: 2014-12-29 13:56 PST (History)
4 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description User image Jason Smith [:jsmith] 2012-12-13 00:17:14 PST
Build - Beta 12/12/2012
Device - Unagi

Steps:

1. Go to http://owapps.cloudfoundry.com
2. Select to install the packaged app with entry points
3. Confirm installation
4. Wait for installation to complete

Expected:

During download of the app, it's a bit unknown whether we should show the app itself or each entry point being downloaded. However, when download is complete, the entry point app icons and name should be present for that app.

Actual:

When download is complete, we show the name of the app overall, not multiple app icons and names to represent each entry point.
Comment 1 User image Jason Smith [:jsmith] 2012-12-13 00:18:40 PST
Can't seem to search bugzilla right now, but the decision to fix this bug is dependent on whether we decide to leave entry points on for v1.
Comment 2 User image David Scravaglieri [:scravag] 2012-12-13 02:34:12 PST
Peter Chris, do we support multiple entry points in V1 ?
Comment 3 User image Jason Smith [:jsmith] 2012-12-13 08:14:39 PST
(In reply to dscravaglieri from comment #2)
> Peter Chris, do we support multiple entry points in V1 ?

Please keep this nomed at the moment until the contention in bug 820863 is resolved. If we won't fix that bug, then this is definitely going to have to be fixed.
Comment 4 User image Jason Smith [:jsmith] 2012-12-13 08:15:12 PST
Also - see bug 820863 for the disabling discussion. I'll add those folks to the needs info list.
Comment 5 User image Jason Smith [:jsmith] 2012-12-14 09:04:26 PST
Out of scope now for v1. Removing from nomination queue.
Comment 6 User image Kevin Grandon :kgrandon 2014-12-29 13:56:20 PST
This should be resolved for the vertical home screen, but since we're also removing support for entry points eventually, it's something that we probably don't need to fix.

Note You need to log in before you can comment on or make changes to this bug.